net.minecraft.world.gen.structure

## Class StructureNetherBridgePieces.Start

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.StructureNetherBridgePieces.Crossing3
    - - net.minecraft.world.gen.structure.StructureNetherBridgePieces.Start

- Enclosing class:
    StructureNetherBridgePieces

      public static class StructureNetherBridgePieces.Start
      extends StructureNetherBridgePieces.Crossing3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.world.gen.structure.StructureComponent

      `StructureComponent.BlockSelector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static WeightedRandomChestContent[]` | `field_111019_a`
    `java.util.ArrayList` | `field_74967_d`
    `java.util.List` | `primaryWeights`
    `java.util.List` | `secondaryWeights`
    `net.minecraft.world.gen.structure.StructureNetherBridgePieces.PieceWeight` | `theNetherBridgePieceWeight`

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureComponent

      `boundingBox, componentType, coordBaseMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureNetherBridgePieces.Start()`
    `StructureNetherBridgePieces.Start(java.util.Random par1Random, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `func_143011_b(NBTTagCompound par1NBTTagCompound)`
    `protected void` | `func_143012_a(NBTTagCompound par1NBTTagCompound)`
    `protected StructureComponent` | `getNextComponentNormal(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece, java.util.List par2List, java.util.Random par3Random, int par4, int par5, boolean par6)`
    `protected StructureComponent` | `getNextComponentX(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece, java.util.List par2List, java.util.Random par3Random, int par4, int par5, boolean par6)`
    `protected StructureComponent` | `getNextComponentZ(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece, java.util.List par2List, java.util.Random par3Random, int par4, int par5, boolean par6)`
    `protected static boolean` | `isAboveGround(StructureBoundingBox par0StructureBoundingBox)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureNetherBridgePieces.Crossing3

      `addComponentParts, buildComponent, createValidComponent`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `clearCurrentPositionBlocksUpwards, fillWithAir, fillWithBlocks, fillWithMetadataBlocks, fillWithRandomizedBlocks, findIntersecting, func_143009_a, func_143010_b, func_151547_a, func_151552_a, func_151553_a, func_151554_b, generateStructureChestContents, generateStructureDispenserContents, getBlockAtCurrentPosition, getBoundingBox, getComponentType, getMetadataWithOffset, getXWithOffset, getYWithOffset, getZWithOffset, isLiquidInStructureBoundingBox, placeBlockAtCurrentPosition, placeDoorAtCurrentPosition, randomlyFillWithBlocks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### theNetherBridgePieceWeight

          public net.minecraft.world.gen.structure.StructureNetherBridgePieces.PieceWeight theNetherBridgePieceWeight

    - #### primaryWeights

          public java.util.List primaryWeights

    - #### secondaryWeights

          public java.util.List secondaryWeights

    - #### field_74967_d

          public java.util.ArrayList field_74967_d

    - #### field_111019_a

          protected static final WeightedRandomChestContent[] field_111019_a

  - ### Constructor Detail

    - #### StructureNetherBridgePieces.Start

          public StructureNetherBridgePieces.Start()

    - #### StructureNetherBridgePieces.Start

          public StructureNetherBridgePieces.Start(java.util.Random par1Random,
                                           int par2,
                                           int par3)

  - ### Method Detail

    - #### func_143011_b

          protected void func_143011_b(NBTTagCompound par1NBTTagCompound)

    - #### func_143012_a

          protected void func_143012_a(NBTTagCompound par1NBTTagCompound)

    - #### getNextComponentNormal

          protected StructureComponent getNextComponentNormal(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece,
                                                  java.util.List par2List,
                                                  java.util.Random par3Random,
                                                  int par4,
                                                  int par5,
                                                  boolean par6)

    - #### getNextComponentX

          protected StructureComponent getNextComponentX(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece,
                                             java.util.List par2List,
                                             java.util.Random par3Random,
                                             int par4,
                                             int par5,
                                             boolean par6)

    - #### getNextComponentZ

          protected StructureComponent getNextComponentZ(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece,
                                             java.util.List par2List,
                                             java.util.Random par3Random,
                                             int par4,
                                             int par5,
                                             boolean par6)

    - #### isAboveGround

          protected static boolean isAboveGround(StructureBoundingBox par0StructureBoundingBox)